## org.codehaus.groovy.grails.web.pages
Class Parse

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.Parse

All Implemented Interfaces:
  Tokens

    public class Parse

extends Object
implements Tokens

NOTE: Based on work done by the GSP standalone project (https://gsp.dev.java.net/) Parsing implementation for GSP files

Author:
  Troy Heninger, Graeme Rocher Date: Jan 10, 2004

Nested Class Summary
`(package private) class` `Parse.TagMeta`

Field Summary
`static String[]` `DEFAULT_IMPORTS`
`static String` `GROOVY_SOURCE_CHAR_ENCODING`
`static org.apache.commons.logging.Log` `LOG`

Fields inherited from interface org.codehaus.groovy.grails.web.pages.Tokens
`EOF, GDECLAR, GDIRECT, GEND_TAG, GEXPR, GSCRIPT, GSTART_TAG, GTAG_EXPR, HTML, JDECLAR, JDIRECT, JEXPR, JSCRIPT`

Constructor Summary
`Parse(String name, String filename, InputStream in)`

Method Summary
`String` `getContentType()`
`int` `getCurrentOutputLineNumber()`
`int[]` `getLineNumberMatrix()`
`InputStream` `parse()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    public static final org.apache.commons.logging.Log LOG

### DEFAULT_IMPORTS

    public static final String[] DEFAULT_IMPORTS

### GROOVY_SOURCE_CHAR_ENCODING

    public static final String GROOVY_SOURCE_CHAR_ENCODING

See Also:
  Constant Field Values

Constructor Detail

### Parse

    public Parse(String name,
                 String filename,
                 InputStream in)
          throws IOException

Throws:
  `IOException`

Method Detail

### getContentType

    public String getContentType()

### getCurrentOutputLineNumber

    public int getCurrentOutputLineNumber()

### getLineNumberMatrix

    public int[] getLineNumberMatrix()

### parse

    public InputStream parse()

Copyright (c) 2005-2006 The Grails project